=== debian/changelog ===
akonadi-facebook (0.0git20120712-0ubuntu2) quantal; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jul 2012 16:07:32 +0100
