=== debian/control ===
Source: akonadi-facebook
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8),
               kdelibs5-dev,
               pkg-kde-tools,
               xsltproc,
               libqjson-dev,
               shared-mime-info,
               libboost1.49-dev,
               kdepimlibs5-dev,
               libqtwebkit-dev,
Standards-Version: 3.9.3

Package: akonadi-facebook
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Facebook resource for Akonadi
 This Akonadi module imports calendar information from Facebook
 for use in Kontact.
