=== resource/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,9 @@
 project(facebookresource)
 
 find_package(Boost 1.34.0)
-macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")
+set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "http://www.boost.org" TYPE REQUIRED PURPOSE "Boost is required by Akonadi")
 
 add_definitions(-DRESOURCE_VERSION=\\"${RESOURCE_VERSION}\\")
-if (XSLTPROC_EXECUTABLE)
-  macro( kcfg_generate_dbus_interface _kcfg _name )
-    add_custom_command(
-      OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-      COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
-              ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-              ${_kcfg}
-              > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
-      DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
-              ${_kcfg}
-    )
-  endmacro( kcfg_generate_dbus_interface )
-endif (XSLTPROC_EXECUTABLE)
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )
 
@@ -54,21 +41,19 @@
 )
 
 target_link_libraries( akonadi_facebook_resource
+  ${KDEPIMLIBS_AKONADI_SOCIALUTILS_LIBS}
+  ${KDEPIMLIBS_AKONADI_NOTES_LIBS}
   ${KDEPIMLIBS_AKONADI_LIBS}
   ${KDEPIMLIBS_KABC_LIBS}
+  ${KDEPIMLIBS_KCALCORE_LIBS}
   ${QT_QTCORE_LIBRARY}
   ${QT_QTGUI_LIBRARY}
   ${QT_QTDBUS_LIBRARY}
+  ${QJSON_LIBRARIES}
   ${KDE4_KDECORE_LIBS}
   ${KDEPIMLIBS_KMIME_LIBS}
-  kfacebook
+  ${LibKFbAPI_LIBRARY}
 )
-
-if(KDEPIM_44_COMPAT)
-  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCAL_LIBS})
-else(KDEPIM_44_COMPAT)
-  target_link_libraries(akonadi_facebook_resource ${KDEPIMLIBS_KCALCORE_LIBS})
-endif(KDEPIM_44_COMPAT)
 
 add_subdirectory(icons)
