=== debian/changelog ===
akonadi-facebook (0.0git20130415-0ubuntu1) raring; urgency=low

  * New snapshot LP: #1169336

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Apr 2013 15:16:10 +0100
