=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
                libboost1.49-dev,
                kdepimlibs5-dev,
                libqtwebkit-dev,
-Standards-Version: 3.9.3
+               libkfbapi-dev,
+Standards-Version: 3.9.4
 
 Package: akonadi-facebook
 Architecture: any
